This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 911060 - Review Request: nodejs-winston - A multi-transport async logging library for Node.js
Review Request: nodejs-winston - A multi-transport async logging library for ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcelo Barbosa "firemanxbr"
:
Depends On: 911026 911028 911030 911045 911069
Blocks: nodejs-reviews 911046
  Show dependency treegraph
 
Reported: 2013-02-14 04:54 EST by Jamie Nguyen
Modified: 2014-03-19 12:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: nodejs-winston-0.7.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 14:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mr.marcelo.barbosa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review (8.01 KB, text/plain)
2013-04-25 17:24 EDT, Gregor Tätzner
no flags Details

  None (edit)
Description Jamie Nguyen 2013-02-14 04:54:25 EST
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-winston.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-winston-0.6.2-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This module is a multi-transport asynchronous logging library for Node.js.

Winston is designed to be a simple and universal logging library with support
for multiple transports. A transport is essentially a storage device for your
logs. Each instance of a winston logger can have multiple transports
configured at different levels. For example, one may want error logs to be
stored in a persistent remote location (like a database), but all logs output
to the console or a local file.

There also seemed to be a lot of logging libraries out there that coupled
their implementation of logging (ie, how the logs are stored/indexed) to the
API that they exposed to the programmer. This library aims to decouple those
parts of the process to make it more flexible and extensible.
Comment 1 Gregor Tätzner 2013-04-25 17:24:52 EDT
Created attachment 740085 [details]
review

looks good - besides some obvious errors about missing deps

the test runs fine?
Comment 2 Jamie Nguyen 2013-05-26 07:50:19 EDT
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-winston.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-winston-0.7.1-1.fc18.src.rpm

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.1-1
- update to upstream release 0.7.1
Comment 3 Miro Hrončok 2013-06-06 08:27:24 EDT
(In reply to Gregor Tätzner from comment #1)
> Created attachment 740085 [details]
> review
> 
> looks good - besides some obvious errors about missing deps
> 
> the test runs fine?

Are you working on this? Could you set the review flag and set the bug status to ASSIGNED please?
Comment 4 Miro Hrončok 2013-06-06 08:28:50 EDT
nodejs-winston.noarch: E: script-without-shebang /usr/lib/node_modules/winston/lib/winston/logger.js

Should not have +x, right?
Comment 5 Jamie Nguyen 2013-06-07 04:18:36 EDT
> nodejs-winston.noarch: E: script-without-shebang /usr/lib/node_modules/winston/lib/winston/logger.js
> 
> Should not have +x, right?

Thanks, that's correct. Fixed:


Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-winston.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-winston-0.7.1-2.fc19.src.rpm

* Fri Jun 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.1-2
- remove execute bit from files that shouldn't have it
Comment 6 Marcelo Barbosa "firemanxbr" 2013-07-01 00:25:00 EDT
Hi Jamie,

   [!]: Latest version is packaged.
   Please update this package for newest version, in your spec file exist the version 0.7.1, but in repository this version is 0.7.2:

   https://github.com/flatiron/winston

Thank you.

Marcelo Barbosa
Comment 7 Marcelo Barbosa "firemanxbr" 2013-07-01 00:30:31 EDT
Hi Jamie,

   I suggest also alter spec file inserting this option:

   %global pkgname winston

   And change all spec file for new variable %{pkgname} removing name "winston"

Thank you.

Marcelo Barbosa
Comment 8 Jamie Nguyen 2013-07-01 00:48:52 EDT
(In reply to Marcelo Barbosa from comment #7)
>    I suggest also alter spec file inserting this option:
> 
>    %global pkgname winston
> 
>    And change all spec file for new variable %{pkgname} removing name
> "winston"

Thanks Marcelo (and thanks very much for the other reviews you've done so far!).

Using pkgname variable can be convenient, but I find that SPEC files are generally more readable without it. I've always preferred readability over convenience.


Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-winston.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-winston-0.7.2-1.fc19.src.rpm

* Mon Jul 01 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.2-1
- update to upstream release 0.7.2
- fix spelling in %%summary
Comment 9 Marcelo Barbosa "firemanxbr" 2013-07-01 01:00:59 EDT
Hi Jamie,

   Good work!

- Outputs for rpmlint are false positives.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 9 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-winston-0.7.2-1.fc20.noarch.rpm
nodejs-winston.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-winston.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-winston.noarch: W: spelling-error %description -l en_US ie -> IE, i, e
nodejs-winston.noarch: W: only-non-binary-in-usr-lib
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/request /usr/lib/node_modules/request
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/colors /usr/lib/node_modules/colors
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/pkginfo /usr/lib/node_modules/pkginfo
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/async /usr/lib/node_modules/async
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/stack-trace /usr/lib/node_modules/stack-trace
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/cycle /usr/lib/node_modules/cycle
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/eyes /usr/lib/node_modules/eyes
1 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-winston
nodejs-winston.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
nodejs-winston.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-winston.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
nodejs-winston.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-winston.noarch: W: spelling-error %description -l en_US ie -> IE, i, e
nodejs-winston.noarch: W: only-non-binary-in-usr-lib
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/request /usr/lib/node_modules/request
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/colors /usr/lib/node_modules/colors
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/pkginfo /usr/lib/node_modules/pkginfo
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/async /usr/lib/node_modules/async
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/stack-trace /usr/lib/node_modules/stack-trace
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/cycle /usr/lib/node_modules/cycle
nodejs-winston.noarch: W: dangling-symlink /usr/lib/node_modules/winston/node_modules/eyes /usr/lib/node_modules/eyes
1 packages and 0 specfiles checked; 0 errors, 13 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-winston (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(async)
    npm(colors)
    npm(cycle)
    npm(eyes)
    npm(pkginfo)
    npm(request)
    npm(stack-trace)



Provides
--------
nodejs-winston:
    nodejs-winston
    npm(winston)



Source checksums
----------------
http://registry.npmjs.org/winston/-/winston-0.7.2.tgz :
  CHECKSUM(SHA256) this package     : 562d3a3d8dc0ba580bfdfb167e16297940d3386ac4b82e65ad09f4859c4af181
  CHECKSUM(SHA256) upstream package : 562d3a3d8dc0ba580bfdfb167e16297940d3386ac4b82e65ad09f4859c4af181


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 911060 -m fedora-rawhide-x86_64

----------------

PACKAGE APPROVED

----------------


Follow the process from:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is firemanxbr
Comment 10 Jamie Nguyen 2013-07-01 01:35:11 EDT
New Package SCM Request
=======================
Package Name: nodejs-winston
Short Description: A multiple transport asynchronous logging library for Node.js
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:
Comment 11 Jon Ciesla 2013-07-01 08:25:13 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-07-02 13:09:56 EDT
nodejs-winston-0.7.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-winston-0.7.2-1.fc19
Comment 13 Fedora Update System 2013-07-02 13:10:32 EDT
nodejs-winston-0.7.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-winston-0.7.2-1.fc18
Comment 14 Fedora Update System 2013-07-02 13:11:07 EDT
nodejs-winston-0.7.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-winston-0.7.2-1.el6
Comment 15 Fedora Update System 2013-07-11 23:00:18 EDT
nodejs-winston-0.7.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-07-11 23:13:27 EDT
nodejs-winston-0.7.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-07-21 14:37:54 EDT
nodejs-winston-0.7.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.